//+------------------------------------------------------------------+
//|                                               AlertSignal_v1.mq4 |
//|                                  Copyright  2009, WWW.FIBOOK.RU |
//|                                                 http://fibook.ru |
//+------------------------------------------------------------------+
#property copyright  "Copyright  2009, FIBOOK.RU"
#property link       "http://fibook.ru"
#define Str          "http://fibook.ru"
#define STRING_ID    "AlertSignal_"
#property indicator_chart_window
extern int     StartBar=1;                            //  
extern string indicator = "Insert Indicator Name";    //  
extern bool    VLine = true;                          //    
extern bool    SignalAlert=false;                     //   ""
extern bool    SignalComment=true;                    //   ""
extern bool    SignalPlay= false;                     //   
extern string  Signal = "alert.wav";                  //   
extern string  UserText = " ";      //  
IndicatorShortName("AlertSignal_v1 ");
//+------------------------------------------------------------------+
//| AlertSignal_v1 indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| AlertSignal_v1 indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for (int i=0; i<8; i++)
      ObjectDelete(STRING_ID+"VL_"+i);   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| AlertSignal_v1 indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
string text;
int            ExtBars=150; //     
double         First;       //  
double         Second;      //  
int            per;         //  
   if (indicator == "Insert Indicator Name") 
      {
         Alert (indicator);
         return;
      }
   if (per == Time[0]) return; //     
         per = Time[0];
//----
      for (int ii=StartBar; ii<ExtBars; ii++)
         for (int i=0; i<8; i++)
         {
            First  = iCustom(NULL,0,indicator,i,ii);
            Second = iCustom(NULL,0,indicator,i,ii+1);
            if ((Second==0&&First>0)||(Second>0&&First==0))
            {
               text = StringConcatenate( Str+" -  ",ii+1,"  ",Symbol()," -  ",indicator," ");
               AlertComment (text+UserText);
               if (VLine == true)
               ObjectCreate(STRING_ID+"VL_"+i,0,0,Time[ii],Bid);
               return;
            }
         }   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| AlertSignal_v1 indicator Subfunction                             |
//+------------------------------------------------------------------+

void AlertComment (string text)
   {
      if (SignalAlert   == true)    Alert    (text);
      if (SignalComment == true)    Comment  (text);
      if (SignalPlay    == true)    PlaySound(Signal);
   }

